# Uses of Class
org.jboss.classfilewriter.code.BranchEnd

Packages that use BranchEnd
Package
Description
org.jboss.classfilewriter.code

## Uses of BranchEnd in org.jboss.classfilewriter.code

Methods in org.jboss.classfilewriter.code that return BranchEnd
Modifier and Type
Method
Description
`BranchEnd`
CodeAttribute.`gotoInstruction()`
writes a goto instruction.
`BranchEnd`
CodeAttribute.`ifAcmpeq()`
`BranchEnd`
CodeAttribute.`ifAcmpne()`
`BranchEnd`
CodeAttribute.`ifeq()`
`BranchEnd`
CodeAttribute.`ifge()`
`BranchEnd`
CodeAttribute.`ifgt()`
`BranchEnd`
CodeAttribute.`ifIcmpeq()`
`BranchEnd`
CodeAttribute.`ifIcmpge()`
`BranchEnd`
CodeAttribute.`ifIcmpgt()`
`BranchEnd`
CodeAttribute.`ifIcmple()`
`BranchEnd`
CodeAttribute.`ifIcmplt()`
`BranchEnd`
CodeAttribute.`ifIcmpne()`
`BranchEnd`
CodeAttribute.`ifle()`
`BranchEnd`
CodeAttribute.`iflt()`
`BranchEnd`
CodeAttribute.`ifne()`
`BranchEnd`
CodeAttribute.`ifnotnull()`
`BranchEnd`
CodeAttribute.`ifnull()`
Jump to the given location if the reference type on the top of the stack is null.
Methods in org.jboss.classfilewriter.code that return types with arguments of type BranchEnd
Modifier and Type
Method
Description
`AtomicReference<BranchEnd>`
LookupSwitchBuilder.`add(int value)`
Adds a value to the table that is at a location yet to be written.
`AtomicReference<BranchEnd>`
TableSwitchBuilder.`add()`
Adds a value to the table that is at a location yet to be written.
`AtomicReference<BranchEnd>`
LookupSwitchBuilder.ValuePair.`getBranchEnd()`
`AtomicReference<BranchEnd>`
TableSwitchBuilder.ValuePair.`getBranchEnd()`
`AtomicReference<BranchEnd>`
LookupSwitchBuilder.`getDefaultBranchEnd()`
`AtomicReference<BranchEnd>`
TableSwitchBuilder.`getDefaultBranchEnd()`
Methods in org.jboss.classfilewriter.code with parameters of type BranchEnd
Modifier and Type
Method
Description
`void`
CodeAttribute.`branchEnd(BranchEnd end)`
marks the end of a branch.
Constructor parameters in org.jboss.classfilewriter.code with type arguments of type BranchEnd
Modifier
Constructor
Description
``
`ValuePair(int value, AtomicReference<BranchEnd> branchEnd)`
``
`ValuePair(AtomicReference<BranchEnd> branchEnd)`